%define		mainver		0.7.1
%define		vendorrel	4
%define		repoid		18105



Name:		kreetingkard
Version:	%{mainver}
Release:	%{vendorrel}%{?dist}
Summary:	Japanese greeting card writing software for KDE

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://linux-life.net/program/cc/kde/app/kreetingkard/
Source0:	http://downloads.sourceforge.jp/%{name}/%{repoid}/%{name}-%{mainver}.tar.gz
# From Mandriva
Patch0:		kreetingkard-0.7.1-fix-build-gcc411.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
%if 0%{fedora} >= 8
BuildRequires:	kdelibs3-devel
%else
BuildRequires:	kdelibs-devel
%endif


%description
KreetingKard is a tool for making Japanese greeting cards. It allows you to 
make greeting cards easily by choosing a template and changing the words.


%prep
%setup -q
%patch0 -p1 -b .gcc41

%build
%configure

# Don't call autoheader
touch config.h.in config.h
# Remove rpath
for f in `find . -name Makefile` ; do
	%{__sed} -i.rpath -e 's|^\([A-Z][A-Z]*_RPATH = \).*|\1|' $f
done

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p"

# Fixing up
# 1. Desktop file treatment
%{__sed} -i -e '/^Pattern/d' \
	$RPM_BUILD_ROOT%{_datadir}/applnk/Office/%{name}.desktop
desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	--add-category Office \
	--vendor fedora \
	--delete-original \
	$RPM_BUILD_ROOT%{_datadir}/applnk/Office/%{name}.desktop
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/applnk/

# 2 KDE common symlink to relative
unlink $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/en/%{name}/common
%{__ln_s} -f '../common' $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/en/%{name}/common

# 3 Install icons
for s in 16 32 ; do
	%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${s}x${s}/apps/
	%{__install} -cp -m 644 src/cr${s}-app-%{name}.png \
		$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${s}x${s}/apps/%{name}.png
done

# 4. gettext .mo file
%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
update-desktop-database &> /dev/null
exit 0

%postun
update-desktop-database &> /dev/null
[ $1 -eq 0 ] || exit 0

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
exit 0

%posttrans
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
exit 0

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc	AUTHORS
%doc	COPYING
%doc	README

%{_bindir}/%{name}

%{_datadir}/apps/%{name}/
%{_datadir}/icons/crystalsvg/??x??/*/*.png
%{_datadir}/mimelnk/application/x-%{name}.desktop

%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png

%{_defaultdocdir}/HTML/en/%{name}/

%changelog
* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-4
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-3
- GTK icon cache updating script update

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43

* Mon Oct 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-2
- Fix typo.

* Thu Oct 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-1
- Initial spec file
